Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232282 - Preview, save don't work with upgrade install method
Summary: Preview, save don't work with upgrade install method
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 18:28 UTC by Steve Magoun
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 14:37:26 UTC


Attachments (Terms of Use)

Description Steve Magoun 2007-03-14 18:28:50 UTC
Description of problem:
Preview and Save don't work when "Upgrade an existing installation" is selected (under "Installation 
Method". Upgrade is the default setting, so the default behavior is to not save files or display a preview.


Version-Release number of selected component (if applicable):
system-config-kickstart-2.7.3-1.fc7


How reproducible:
Always


Steps to Reproduce:
1. Launch system-config-kickstart
2. Select preview or save from the file menu

  
Actual results:
Nothing happens - no dialog, no feedback, no error messages in the shell used to launch system-
config-kickstart

Expected results:
The preview or save dialog is displayed.


Additional info:
If you change installation method to "Perform new installation", Preview and Save work as expected. 
Switching back to "Upgrade..." breaks preview/save again.

Comment 1 Chris Lumens 2007-03-15 14:37:26 UTC
This will be fixed in the next build of system-config-kickstart.  Thanks for the
report.


Note You need to log in before you can comment on or make changes to this bug.